I2O_BLOCK_SGLIST_ALL(9)

NAME
i2o_block_sglist_alloc - Allocate the SG list and map it

SYNOPSIS

int i2o_block_sglist_alloc(struct i2o_controller * c, struct i2o_block_request * ireq, u32 ** mptr);

ARGUMENTS

c
    I2O controller to which the request belongs

ireq
    I2O block request

mptr
    message body pointer

DESCRIPTION

Builds the SG list and map it to be accessible by the controller.

Returns 0 on failure or 1 on success.

COPYRIGHT